Bug 1190375 - (CVE-2021-31799) VUL-0: CVE-2021-31799: rubygem-rdoc,rubygem-rdoc-3,ruby,ruby2.1,ruby2.5: Command injection vulnerability in RDoc
(CVE-2021-31799)
VUL-0: CVE-2021-31799: rubygem-rdoc,rubygem-rdoc-3,ruby,ruby2.1,ruby2.5: Comm...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Marcus Rückert
Security Team bot
https://smash.suse.de/issue/303631/
CVSSv3.1:SUSE:CVE-2021-31799:7.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-10 07:27 UTC by Marcus Meissner
Modified: 2022-06-20 14:40 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2021-09-10 07:27:21 UTC
RDoc used to call Kernel#open to open a local file. If a Ruby project has a file whose name starts with | and ends with tags, the command following the pipe character is executed. A malicious Ruby project could exploit it to run an arbitrary command execution against a user who attempts to run rdoc command.

References:

https://www.ruby-lang.org/en/news/2021/05/02/os-command-injection-in-rdoc/
Comment 1 Marcus Meissner 2021-09-10 07:33:10 UTC
rubygem-rdoc is embedded in ruby itself in sle12 and sle15
Comment 5 Swamp Workflow Management 2021-12-01 20:38:06 UTC
openSUSE-SU-2021:3838-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1188160,1188161,1190375
CVE References: CVE-2021-31799,CVE-2021-31810,CVE-2021-32066
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ruby2.5-2.5.9-4.20.1
Comment 6 Swamp Workflow Management 2021-12-01 20:49:03 UTC
SUSE-SU-2021:3837-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1177125,1188160,1188161,1190375
CVE References: CVE-2020-25613,CVE-2021-31799,CVE-2021-31810,CVE-2021-32066
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ruby2.1-2.1.9-19.6.1
SUSE OpenStack Cloud Crowbar 8 (src):    ruby2.1-2.1.9-19.6.1
SUSE OpenStack Cloud 9 (src):    ruby2.1-2.1.9-19.6.1
SUSE OpenStack Cloud 8 (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server 12-SP5 (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    ruby2.1-2.1.9-19.6.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ruby2.1-2.1.9-19.6.1
HPE Helion Openstack 8 (src):    ruby2.1-2.1.9-19.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-12-01 20:59:53 UTC
SUSE-SU-2021:3838-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1188160,1188161,1190375
CVE References: CVE-2021-31799,CVE-2021-31810,CVE-2021-32066
JIRA References: 
Sources used:
SUSE MicroOS 5.0 (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Server for SAP 15 (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Server 15-LTSS (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ruby2.5-2.5.9-4.20.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ruby2.5-2.5.9-4.20.1
SUSE Enterprise Storage 6 (src):    ruby2.5-2.5.9-4.20.1
SUSE CaaS Platform 4.0 (src):    ruby2.5-2.5.9-4.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-12-06 17:56:53 UTC
openSUSE-SU-2021:1535-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1188160,1188161,1190375
CVE References: CVE-2021-31799,CVE-2021-31810,CVE-2021-32066
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ruby2.5-2.5.9-lp152.2.9.1
Comment 9 Swamp Workflow Management 2022-05-03 19:23:01 UTC
SUSE-SU-2022:1512-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1188160,1188161,1190375,1193035,1198441
CVE References: CVE-2021-31799,CVE-2021-31810,CVE-2021-32066,CVE-2021-41817,CVE-2022-28739
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    ruby2.5-2.5.9-150000.4.23.1
openSUSE Leap 15.3 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Manager Server 4.1 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Manager Retail Branch Server 4.1 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Manager Proxy 4.1 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server for SAP 15 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Server 15-LTSS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise Micro 5.0 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Enterprise Storage 7 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE Enterprise Storage 6 (src):    ruby2.5-2.5.9-150000.4.23.1
SUSE CaaS Platform 4.0 (src):    ruby2.5-2.5.9-150000.4.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Marcus Meissner 2022-06-20 14:40:54 UTC
SLE11 ruby does not contain the affected code.